# QCA::QPipe Class Reference
[QCA user API]

A FIFO buffer (named pipe) abstraction. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::QPipe:

[legend]

List of all members.

## Public Member Functions

bool | create (bool secure=false)
| QPipe (QObject *parent=0)
QPipeEnd & | readEnd ()
void | reset ()
QPipeEnd & | writeEnd ()

## Detailed Description

A FIFO buffer (named pipe) abstraction.

This class creates a full buffer, consisting of two ends (QPipeEnd). You can obtain each end (after calling create()) using readEnd() and writeEnd(), however you must call enable() on each end before using the pipe.

By default, the pipe ends are not inheritable by child processes. On Windows, the pipe is created with inheritability disabled. On Unix, the FD_CLOEXEC flag is set on each end's file descriptor.

## Constructor & Destructor Documentation

QCA::QPipe::QPipe | ( | QObject * | parent = `0` | ) |

Standard constructor.

Note:
  You must call create() before using the pipe ends.

Parameters:

  | parent | the parent object for this object

## Member Function Documentation

bool QCA::QPipe::create | ( | bool | secure = `false` | ) |

Create the pipe.

Parameters:

  | secure | whether to use secure memory (true) or not (false)

QPipeEnd& QCA::QPipe::readEnd | ( |  | ) | `[inline]`

The read end of the pipe.

void QCA::QPipe::reset | ( |  | ) |

Reset the pipe.

At this point, the readEnd() and writeEnd() calls will no longer be valid.

QPipeEnd& QCA::QPipe::writeEnd | ( |  | ) | `[inline]`

The write end of the pipe.

The documentation for this class was generated from the following file:

- qpipe.h